Bug 1464639 - Possible stale read in afr due to un-notified pending xattr change [NEEDINFO]
Summary: Possible stale read in afr due to un-notified pending xattr change
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: GlusterFS
Classification: Community
Component: upcall
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-24 04:14 UTC by Poornima G
Modified: 2020-03-12 12:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-12 12:12:56 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
atumball: needinfo? (pgurusid)


Attachments (Terms of Use)

Description Poornima G 2017-06-24 04:14:46 UTC
Description of problem:

    When the pending xattr is set, upcall is supposed to send
    an upcall to the other clients, so that the other clients reset the
    afr read subvolume (to not to point to the subvol with pending xattr set)
    Currently, upcall is not sending any such invalidations.
    

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Worker Ant 2017-06-24 04:15:46 UTC
REVIEW: https://review.gluster.org/17621 (upcall: Fix the condition check to filter afr pending xattrs change) posted (#1) for review on master by Poornima G (pgurusid@redhat.com)

Comment 2 Worker Ant 2017-06-24 04:17:47 UTC
REVIEW: https://review.gluster.org/17621 (upcall: Fix the condition check to filter afr pending xattrs change) posted (#2) for review on master by Poornima G (pgurusid@redhat.com)

Comment 3 Amar Tumballi 2019-06-14 08:46:31 UTC
Any updates? Can this be revised? or closed as not relevant?

Comment 5 Worker Ant 2020-03-12 12:12:56 UTC
This bug is moved to https://github.com/gluster/glusterfs/issues/840, and will be tracked there from now on. Visit GitHub issues URL for further details


Note You need to log in before you can comment on or make changes to this bug.